Loading...
Searching...
No Matches
su_md5.h File Reference

MD5 digest interface. More...

`#include "sofia-sip/su_types.h"`
Include dependency graph for su_md5.h:

Go to the source code of this file.

## Data Structures

struct | su_md5_t
| MD5 context. More...

## Macros

#define | SU_MD5_H
| Defined when su_md5.h has been included.

## Typedefs

typedef struct su_md5_t | su_md5_t
| MD5 context.

## Functions

void | su_md5_init (su_md5_t *context)
| Initialize MD5 context.
void | su_md5_deinit (su_md5_t *context)
| Clear MD5 context.
void | su_md5_update (su_md5_t *context, void const *buf, usize_t len)
| Update MD5 context.
void | su_md5_strupdate (su_md5_t *ctx, char const *s)
| Update MD5 context with contents of string.
void | su_md5_str0update (su_md5_t *ctx, char const *s)
| Update MD5 context with contents of string, including final NUL.
void | su_md5_iupdate (su_md5_t *context, void const *buf, usize_t len)
| Update MD5 context.
void | su_md5_striupdate (su_md5_t *ctx, char const *s)
| Update MD5 context with contents of case-independent string.
void | su_md5_stri0update (su_md5_t *ctx, char const *s)
| Update MD5 context with contents of case-independent string, including final NUL.

## Detailed Description

MD5 digest interface.

Author
  Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

## Function Documentation

## su_md5_deinit()

void su_md5_deinit | ( | su_md5_t * | context | ) |

Clear MD5 context.

The function su_md5_deinit() clears MD5 context.

Parameters

  context | Pointer to MD5 context structure.

## su_md5_init()

void su_md5_init | ( | su_md5_t * | ctx | ) |

Initialize MD5 context.

Start MD5 accumulation. Set bit count to 0 and buffer to mysterious initialization constants.

Parameters

  ctx | Pointer to context structure.

## su_md5_iupdate()

void su_md5_iupdate | ( | su_md5_t * | ctx,
|  | void const * | b,
|  | usize_t | len )

Update MD5 context.

The function su_md5_iupdate() updates context to reflect the concatenation of another buffer full of case-independent characters.

Parameters

  ctx | Pointer to context structure
  b | Pointer to data
  len | Length of b as bytes

## su_md5_str0update()

void su_md5_str0update | ( | su_md5_t * | ctx,
|  | char const * | s )

Update MD5 context with contents of string, including final NUL.

The function su_md5_str0update() updates context to reflect the concatenation of NUL-terminated string, including the final NUL.

Parameters

  ctx | Pointer to context structure
  s | Pointer to string

## su_md5_stri0update()

void su_md5_stri0update | ( | su_md5_t * | ctx,
|  | char const * | s )

Update MD5 context with contents of case-independent string, including final NUL.

The function su_md5_stri0update() updates context to reflect the concatenation of NUL-terminated string, including the final NUL.

Parameters

  ctx | Pointer to context structure
  s | Pointer to string

## su_md5_striupdate()

void su_md5_striupdate | ( | su_md5_t * | ctx,
|  | char const * | s )

Update MD5 context with contents of case-independent string.

The function su_md5_striupdate() updates context to reflect the concatenation of NUL-terminated string.

Parameters

  ctx | Pointer to context structure
  s | Pointer to string

## su_md5_strupdate()

void su_md5_strupdate | ( | su_md5_t * | ctx,
|  | char const * | s )

Update MD5 context with contents of string.

The function su_md5_strupdate() updates context to reflect the concatenation of NUL-terminated string.

Parameters

  ctx | Pointer to context structure
  s | Pointer to string

## su_md5_update()

void su_md5_update | ( | su_md5_t * | ctx,
|  | void const * | b,
|  | usize_t | len )

Update MD5 context.

Update context to reflect the concatenation of another buffer full of bytes.

Parameters

  ctx | Pointer to context structure
  b | Pointer to data
  len | Length of b as bytes

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.